Create Configuration
/v1/keys/{key}/configsCreates a named configuration on a key and returns it.
Path parameters
keystringAPI Key
The API Key. Begins
ak_.
Query parameters
user_tokenstring optionalManagement Key
A secret key used to manage your account and API Keys. It was previously called the user token.
Your management key can be retrieved and managed from your accounts page.
Typically begins
uk_. Prefer sending it in theAuthorizationheader asBearer uk_...instead of this query parameter. TheAuthorization: user_token="uk_..."header also works.
Request body
The request body must contain a JSON object with:
bodyConfigNewParamRequired configuration object parameters
namestring requiredA unique name to identify the configuration payload
payloadstring requiredA serialised payload of up to
65536characters
Response
Returns the created configuration object with timestamps and assigned name.
resultConfigupdatedAtstringTimestamp for when the config was last updated
createdAtstringTimestamp for when the config was created
namestringA unique name to identify the configuration payload
payloadstringA serialised payload of up to
65536characters
The result sits inside the standard { result, code, message } envelope, see
the API reference for the wrapper format.